Subject: Re: bug#7876: Crash: infinite recursion in next_element_from_buffer

From: Stefan Monnier <[email-masked]>
Date: Thu, 20 Jan 2011 16:14:10 -0500

found 7876 23.2.92
thanks

>    % src/emacs -Q -l "newcompile.el"
>    M-x grep TAB TAB RET
>    Fset_window_config src/*.c RET

I've just reproduced this same crash in the emacs-23 banch, after
changing my compile.el to not rely on syntax-propertize (see new
version attached).
In case you use a different grep pattern, it seems that the crash
happens mostly when you reach the end of the *grep* buffer.  And if the
crash doesn't happen first time around, you can `g' to re-run grep.

        Stefan